Summary:	Provides settings to X11 applications via the XSETTINGS specification
Name:		xsettingsd
Version:	1.0.2
Release:	%mkrel 2
Group:		System/X11
License:	BSD
Url:		https://github.com/derat/xsettingsd
Source0:	https://github.com/derat/xsettingsd/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:	%{name}.conf
BuildRequires:	cmake
BuildRequires:	systemd
BuildRequires:	pkgconfig(x11)

Requires(post):  systemd
Requires(preun): systemd

%description
xsettingsd is a daemon that implements the XSETTINGS specification.
It is intended to be small, fast, and minimally dependent on other
libraries. It can serve as an alternative to gnome-settings-daemon for
users who are not using the GNOME desktop environment but who still run
GTK+ applications and want to configure things such as themes, font
antialiasing/hinting, and UI sound effects.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_sysconfdir}/%{name}
install -m 0644 %{S:1} %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf

%post
%systemd_user_post %{name}.service

%preun
%systemd_user_preun %{name}.service

%files
%doc README.md
%license COPYING
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%{_bindir}/%{name}
%{_bindir}/dump_xsettings
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/dump_xsettings.1.*
%{_userunitdir}/%{name}.service


%changelog
* Thu Mar 02 2023 daviddavid <daviddavid> 1.0.2-2.mga9
+ Revision: 1946212
- provide a xsettingsd.conf file as an example in /etc/xsettingsd/

* Wed Mar 01 2023 daviddavid <daviddavid> 1.0.2-1.mga9
+ Revision: 1946145
- initial package xsettingsd

